| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxTCPClient Class Reference
Networking

`#include <wx/sckipc.h>`

Inheritance diagram for wxTCPClient:
[legend]

## Detailed Description

A wxTCPClient object represents the client part of a client-server conversation.

It emulates a DDE-style protocol, but uses TCP/IP which is available on most platforms.

A DDE-based implementation for Windows is available using wxDDEClient.

To create a client which can communicate with a suitable server, you need to derive a class from wxTCPConnection and another from wxTCPClient. The custom wxTCPConnection class will intercept communications in a 'conversation' with a server, and the custom wxTCPServer is required so that a user-overridden wxTCPClient::OnMakeConnection() member can return a wxTCPConnection of the required class, when a connection is made.

##

Library: wxNet
Category: Networking

See Also
  wxTCPServer, wxTCPConnection, Interprocess Communication

## Public Member Functions

| wxTCPClient ()
| Constructs a client object.
virtual wxConnectionBase * | MakeConnection (const wxString &host, const wxString &service, const wxString &topic)
| Tries to make a connection with a server specified by the host (a machine name under Unix), service name (must contain an integer port number under Unix), and a topic string.
virtual wxConnectionBase * | OnMakeConnection ()
| The type of wxTCPConnection returned from a MakeConnection() call can be altered by deriving the OnMakeConnection member to return your own derived connection object.
virtual bool | ValidHost (const wxString &host)
| Returns true if this is a valid host name, false otherwise.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members

Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxTCPClient::wxTCPClient | ( |  | ) |

Constructs a client object.

## Member Function Documentation

virtual wxConnectionBase* wxTCPClient::MakeConnection | ( | const wxString & | host,
|  | const wxString & | service,
|  | const wxString & | topic
| ) |  |

virtual

Tries to make a connection with a server specified by the host (a machine name under Unix), service name (must contain an integer port number under Unix), and a topic string.

If the server allows a connection, a wxTCPConnection object will be returned.

The type of wxTCPConnection returned can be altered by overriding the OnMakeConnection() member to return your own derived connection object.

virtual wxConnectionBase* wxTCPClient::OnMakeConnection | ( |  | ) |

virtual

The type of wxTCPConnection returned from a MakeConnection() call can be altered by deriving the OnMakeConnection member to return your own derived connection object.

By default, a wxTCPConnection object is returned.

The advantage of deriving your own connection class is that it will enable you to intercept messages initiated by the server, such as wxTCPConnection::OnAdvise(). You may also want to store application-specific data in instances of the new class.

virtual bool wxTCPClient::ValidHost | ( | const wxString & | host | ) |

virtual

Returns true if this is a valid host name, false otherwise.